## ros-kinetic-jsk-ik-server 0.1.14

=== debian/changelog ===
ros-kinetic-jsk-ik-server (0.1.14-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.13-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.12-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.11-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.10-0xenial) xenial; urgency=high

  * Add centroid method to ik-grid (#636 <https://github.com/jsk-ros-pkg/jsk_control/pull/636>)
    * [wholebody_manipulation_planner] add :centroid method to ik-gird.
    * [jsk_ik_server/euslisp/ik-evaluation.l] fix indent.
  * [jsk_ik_server/euslisp/ik-evaluation.l] add fullbody and initial-pose arguments to ik-evaluation. (#602 <https://github.com/jsk-ros-pkg/jsk_control/pull/602>)
  * [jsk_ik_server/euslisp] extend IK grid function (#576 <https://github.com/jsk-ros-pkg/jsk_control/pull/576>)
    * [jsk_ik_server/euslisp/ik-evaluation.l] add move-target and orient-centerp arguments to ik-evaluation function.
    * [jsk_ik_server/euslisp/ik-evaluation.l] add :insidep method to ik-grid class.
    * [jsk_ik_server/euslisp/ik-evaluation.l] save cube instance in :cube method.
  * Contributors: Masaki Murooka

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.9-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.8-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.7-0xenial) xenial; urgency=high

  * [jsk_ik_server] Remove grids which are too near to robot
    in stand location planning
  * [jsk_ik_server] Add script to generate reachability images for pr2 and hrp2
  * [jsk_ik_server] Implement Brute-force stand location search.
  * [jsk_ik_server] Implement stand location planning with taking into
    account range of targets
  * [jsk_ik_server] Visualize ik-grid by irtviewer
  * [jsk_ik_server] Implement stand location planning based on continuous ik
    grid.
    Currently only position and mean of pdf is taken into account
  * [jsk_ik_server] Fix jaxon_ik_evaluation.md to render properly on github
  * [jsk_ik_server] Add markdown to visualize ik-grid evaluate
  * [jsk_ik_server] Pretty-printing of progress of generating ik grid like
    min-max table generation
  * [jsk_ik_server/plot_ik_grid.py] Add second argumment to save image file
    instad of showing plot on GUI
  * [jsk_ik_server] Script to visualize reachability in heatmap manner
  * [jsk_ik_server] Add ik-evaluation.l to evaluate spacial ik quarity
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.6-0xenial) xenial; urgency=high

  * add files for jaxonred
  * add jaxon to ik_server
  * change order in find_pkg

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.5-0xenial) xenial; urgency=high

  * pass warnp as argument in :fullbody-ik-main
  * remove sample robot test
  * Merge branch 'master' into update-samplerobot-in-ik-server
  * use unix:usleep because hrpsys stops clock
  * use hrpsys sample robot for ik server
  * Contributors: JSK Lab Member, leus, Yusuke Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.4-0xenial) xenial; urgency=high

  * support hrp2jsknts in ik-server
  * adding hrp2w-ik-server.l

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 21 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.3-0xenial) xenial; urgency=high

  * add ik-server wait function, in travis, ik-server is slow to start
  * install euslisp in share directory
  * change ik-server files all exectable
  * add :ik-server-name args, smaple robot has name with - charactre
  * forbit to use copy-object of link cascoords object

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.2-0xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-ik-server (0.1.1-0xenial) xenial; urgency=high

  * use singleton class to maintain view point of rviz to have persistency
    across several plugins
  * support multiple instances per one plugin class
  * Merge pull request #47 <https://github.com/jsk-ros-pkg/jsk_control/issues/47> from s-noda/ik_server_publish_default_end_cords
    ik server publishes posestamped of default-end-coords
  * add publish statement of default end coords as posestameped message, frame_id = root-link
  * remove needless comments
  * Merge branch 'master' of https://github.com/jsk-ros-pkg/jsk_control into ik-server-remote-unused-overwrite
  * support jsk_teleop_joy in robot-controller-sample.launch of jsk_ik_server
  * remove needless ik-server class definitions
  * support other robot, not only staro in robot-controller-sample.launch
  * forbit to generate viewer if display missing
  * add dependacy on rostes
  * remove needless ik-server impl
  * add test files and rostest declearation in catkin,cmake and CMakeLists.txt
  * remove :cog-convergence-check, :inverse-kinemtiacs-with-error functions
  * add sample dir, using spacenav and ik-server, control robot
  * add IK_OPTION argument to staro-ik-server-test.launch
  * add staro-ik-server.launch
  * add IK_OPTION argument to hrp2jsk-ik-server-test.launch
  * add additional-ik-options
  * added staro specific code for ik-server
  * fix usage of cog-convergence-check function, correspond to irtmode.l update

