=== debian/control ===
Source: ros-kinetic-jsk-ik-server
Section: misc
Priority: extra
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-mk, ros-kinetic-moveit-msgs, ros-kinetic-roseus, ros-kinetic-rostest, ros-kinetic-tf
Homepage: http://ros.org/wiki/jsk_ik_server
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-ik-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules, ros-kinetic-mk, ros-kinetic-moveit-msgs, ros-kinetic-roseus, ros-kinetic-rostest, ros-kinetic-tf
Description: jsk_ik_server
